Bug 1397171 - cloudforms reports not gathering information for rhev infrastructure providers
Summary: cloudforms reports not gathering information for rhev infrastructure providers
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: C&U Capacity and Utilization
Version: 5.5.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.8.0
Assignee: Oved Ourfali
QA Contact: Tasos Papaioannou
URL:
Whiteboard: rhev:report
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-21 19:01 UTC by Saif Ali
Modified: 2020-07-16 09:01 UTC (History)
9 users (show)

Fixed In Version: 5.8.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-31 14:24:26 UTC
Category: ---
Cloudforms Team: RHEVM
Target Upstream Version:


Attachments (Terms of Use)
report (91.53 KB, image/png)
2016-11-21 19:01 UTC, Saif Ali
no flags Details
CFME-5.7.0.12-Hosts_ardware_information_report (165.21 KB, image/png)
2016-11-28 13:56 UTC, Ilanit Stein
no flags Details
New_report (164.99 KB, image/png)
2016-12-01 08:43 UTC, Ilanit Stein
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Description Saif Ali 2016-11-21 19:01:32 UTC
Created attachment 1222468 [details]
report

Description of problem:
cloudforms reports not gathering information for rhev infrastructure providers.
RHEV hosts are missing the hardware model information

Version-Release number of selected component (if applicable):
5.5.2.4 and 5.6.2.2

How reproducible:


Steps to Reproduce:
1. attach RHEV to CFME
2. generate hardware information report.
3. Cloud Intel >> Reports >> All Reports >> Configration Management >> Hosts >> Hardware Information 

Actual results:


Expected results:


Additional info:
Please see the attachment

Comment 3 Greg Blomquist 2016-11-22 18:11:44 UTC
Oved, can you guys validate whether this is because it's not getting RHEV data, or whether this is because the reporting is not working correctly.

If it's reporting, you can reassign to GreggT.  Thanks!

Comment 4 Oved Ourfali 2016-11-22 18:44:06 UTC
Ilanit, can you check that use case in your 5.6 system? 
Saif, what's the RHV version they work with?

Comment 5 Saif Ali 2016-11-22 18:59:47 UTC
Oved, I'm not sure about the customer RHV version but I tested on my system, and its running Red Hat Virtualization Manager Version: 4.0.4.4-0.1.el7ev , and CFME 5.6.2.2

OS Version:
RHEL - 4.0 - 4.2.el7
OS Description:
Red Hat Virtualization Host 4.0 (el7.2)
Kernel Version:
3.10.0 - 327.36.1.el7.x86_64
KVM Version:
2.3.0 - 31.el7_2.21
LIBVIRT Version:
libvirt-1.2.17-13.el7_2.5
VDSM Version:
vdsm-4.18.13-1.el7ev
SPICE Version:
0.12.4 - 15.el7_2.2
GlusterFS Version:
[N/A]
CEPH Version:

Comment 6 Saif Ali 2016-11-22 19:03:24 UTC
Let me ask them about RHV version they using also.

Comment 7 myoder 2016-11-23 17:45:26 UTC
RHV versions are:

Red Hat Enterprise Virtualization Hypervisor release 6.6
Red Hat Enterprise Virtualization Hypervisor release 7.2

And the RHEV-M is 3.5.

Comment 9 Ilanit Stein 2016-11-28 13:55:49 UTC
For CFME-5.7.0.12 and RHV-4.0.5/RHV-3.6.8,
It seems the table on Hardware information looks different than the attached report, for CFME-5.6.2.2.

Here, the missing information is only for 'Hardware Number of Nics' column.
screenshot 'CFME-5.7.0.12-Hosts_ardware_information_report' attached.   

I'll test it on CFME-5.6.2.2 as well, and update later on.

Comment 10 Ilanit Stein 2016-11-28 13:56:25 UTC
Created attachment 1225299 [details]
CFME-5.7.0.12-Hosts_ardware_information_report

Comment 11 Ilanit Stein 2016-11-29 09:52:30 UTC
For CFME-5.6.2.2/RHV-4.0.5 & CFME-5.5.2.4/RHV-3.6.8,
the displayed table is the same as for CFME-5.7.0.12 and RHV-4.0.5/RHV-3.6.8
(See "CFME-5.7.0.12-Hosts_ardware_information_report" attachment).
But, here these columns are not populated:
'Hardware Manufacturer', 'Hardware Model', 'Hardware Number Of Nics'.

To sum up: 
For CFME, with added RHV provider, and following this flow: 
Cloud Intel >> Reports >> All Reports >> Configration Management >> Hosts >> Hardware Information,

lead to the attached "CFME-5.7.0.12-Hosts_ardware_information_report" screenshot.
This table is different from the "report" attachment.

I guess the flow to generate the "report" is different than the one mentioned in bug description.

Saif,
Can you please clarify: how to generate this "report"/where this "report" is located?

Comment 12 Saif Ali 2016-11-30 22:39:49 UTC
Ilanit, 
RHEV 4.0 (5.5.2.4.20160127105142_395c086)
Cloud Intel >> Reports >> All Reports >> Configuration Management >> Hosts >> Hardware Information report.

Comment 13 Ilanit Stein 2016-12-01 08:35:52 UTC
RHV4 is supported also in CFME 5.6.1 and above: bug 1372393.

Using the default available reports, using flow:
Cloud Intel >> Reports >> All Reports >> Configuration Management >> Hosts >> Hardware Information report,
display the attached "CFME-5.7.0.12-Hosts_ardware_information_report"

I couldn't find a report, as the attached "report"
however, I created a new report, with fields, that were available under "Host/Nodes":

[Platform, 
Hostname, 
IP Address,	
Hardware Guest OS, 
Hardware Model, 
Number of CPU Cores, 
Number of CPUs, 
Hardware Cpu Cores Per Socket, 
Hardware Manufacturer]
(couldn't find "Hardware serial number", mentioned in comment 8).
 
The resulted report can be seen in attachment "New_report".

For CFME-5.7.0.12, and providers: VSphere 5.5, RHV-4.0.5, RHV-3.5.
In this "New_report" created, for VSphere all columns were populated. 
For RHV-4.0.5 & RHV-3.5 all fields were populated, except for "Hardware Guest OS"

Saif,
1. Was the "report" attached was created by using New report flow?
2. If yes, from where "Hardware serial number", mentioned in comment 8, was taked (it is not seen in the attached "report"

Comment 14 Ilanit Stein 2016-12-01 08:43:34 UTC
Created attachment 1226676 [details]
New_report

Comment 18 Shirly Radco 2016-12-14 11:35:57 UTC
The following fields were added only in RHV 3.6 :
threads_per_core, hardware_manufacturer, hardware_product_name, hardware_version, hardware_serial_number
So they can not be displayed for a RHV 3.5.

Also, the host configurations table in dwh does not include the "Number of nics" field and it will require calculation on the report level when running the report.

Host_os is available, not sure why it is not populated for RHV.

Comment 21 CFME Bot 2017-01-17 13:46:16 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/3cd088ab9efe29922f47cbb8395857b15c8208c0

commit 3cd088ab9efe29922f47cbb8395857b15c8208c0
Author:     Boris Odnopozov <bodnopoz@redhat.com>
AuthorDate: Tue Dec 27 14:35:29 2016 +0200
Commit:     Boris Odnopozov <bodnopoz@redhat.com>
CommitDate: Tue Jan 17 09:54:43 2017 +0200

    Add parsing number of nics from RHV inventory
    
    During refresh parse the number of nics a host has and put it in hardware.
    
    This fixes:
    https://bugzilla.redhat.com/show_bug.cgi?id=1397171

 .../manageiq/providers/redhat/infra_manager/refresh/parse/parser.rb     | 2 ++
 .../providers/redhat/infra_manager/refresh/refresher_3_1_spec.rb        | 2 +-
 2 files changed, 3 insertions(+), 1 deletion(-)

Comment 22 Tasos Papaioannou 2017-05-04 14:46:34 UTC
Verified on 5.8.0.13-rc2 with RHEV 3.6 and RHV 4.1. Hosts have number_of_nics populated in "hardwares" db table, and the "Hardware information for Hosts" report shows the values as expected.

Comment 24 errata-xmlrpc 2017-05-31 14:24:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.